using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZooContracts.BindingModels;
using ZooContracts.SearchModel;
using ZooContracts.ViewModels;

namespace ZooContracts.StoragesContracts
{
    public interface IReserveStorage
    {
        List<ReserveViewModel> GetFullList();
        List<ReserveViewModel> GetFilteredList(ReserveSearchModel model);
        ReserveViewModel GetElement(ReserveSearchModel model);
        ReserveViewModel? Insert(ReserveBindingModel model);
        ReserveViewModel? Update(ReserveBindingModel model);
        ReserveViewModel? Delete(ReserveBindingModel model);
    }
}
